Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xpath
Class XPathException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.caucho.xpath.XPathException

All Implemented Interfaces:
  ExceptionWrapper, java.io.Serializable

Direct Known Subclasses:
  XPathParseException

public class XPathException
extends java.lang.Exception
implements ExceptionWrapper, java.io.Serializable

Exception thrown while evaluating an xpath expression.

See Also:
  Serialized Form

Constructor Summary
`XPathException()` zero-arg constructor.
`XPathException(java.lang.String msg)` Creates an exception with a message.
`XPathException(java.lang.String msg, java.lang.Throwable e)` Creates an exception with a message and wrapped exception.
`XPathException(java.lang.Throwable e)` Creates an exception with a wrapped exception.

Method Summary
`java.lang.Throwable` | `getRootCause()` Returns the root cause.
`void` | `printStackTrace()` Prints the underlying stack trace.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPathException

    public XPathException()

  zero-arg constructor.

### XPathException

    public XPathException(java.lang.String msg)

  Creates an exception with a message.

### XPathException

    public XPathException(java.lang.String msg,
                          java.lang.Throwable e)

  Creates an exception with a message and wrapped exception.

### XPathException

    public XPathException(java.lang.Throwable e)

  Creates an exception with a wrapped exception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Returns the root cause.
  Specified by:
    `getRootCause` in interface `ExceptionWrapper`

### printStackTrace

    public void printStackTrace()

  Prints the underlying stack trace.
  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD